# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name chalmers-lava2000

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

Name:           ghc-%{pkg_name}
Version:        1.3
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        README.fedora
Patch0:         ghc-chalmers-lava2000-1.2-remove-verification-modules.patch       

ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-array-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}
%patch0 -p1 -b .orig
%{__install} -pm 644 %{SOURCE1} .


%build
%ghc_lib_build


%install
%ghc_lib_install


# cleanup extra data files
echo "%{_datadir}/%{pkg_name}-%{version}" >> %{name}-devel.files
%{__mv} %{buildroot}%{_datadir}/%{pkg_name}-%{version}/Doc/tutorial.ps .
%{__gzip} tutorial.ps
echo "%doc tutorial.ps.gz" >> %{name}-doc.files
%{__rm} -r %{buildroot}%{_datadir}/%{pkg_name}-%{version}/{Doc,INSTALL}


# devel subpackage
%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Sat Sep 29 2012 Shakthi Kannan <shakthimaan at fedoraproject dot org> - 1.3-1
- Updated to 1.3

* Mon Aug 13 2012 Shakthi Kannan <shakthimaan at fedoraproject dot org> - 1.2.0-1
- spec file template generated by cabal2spec-0.25.5
- Updated to 1.2.0

* Thu Dec 29 2011 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 1.1.2-1
- Updated to use cabal2spec-0.24.1.
- Updated to 1.1.2.

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.1.1-12.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.1.1-12.1
- rebuild with new gmp

* Fri Jun 24 2011 Jens Petersen <petersen@redhat.com> - 1.1.1-12
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 1.1.1-11
- Enable build on sparcv9

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Jens Petersen <petersen@redhat.com> - 1.1.1-9
- update to cabal2spec-0.22.4

* Mon Nov 29 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-8
- bump base to 4 for ghc 7
- update url and drop -o obsoletes

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-7
- add hscolour and doc obsolete (cabal2spec-0.22.2)

* Tue Jun 29 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-6
- update to cabal2spec-0.22.1

* Mon May 24 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-5
- Keep lava.vhd in datadir so users can find it easily (#546376)
- Improve summary and description

* Fri May 21 2010 Jens Petersen <petersen@redhat.com> - 1.1.1-4
- Include the extra data files as doc files instead in the base package

* Tue Apr 13 2010 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.1.1-3
- Removed INSTALL file.
- Gzip tutorial.ps and move it to docdir.
- Move Vhdl folder to docdir.
- Removed chalmers folder.

* Thu Apr 08 2010 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.1.1-2
- Initial packaging for Fedora automatically generated by cabal2spec-0.21.3.
- Added BSD license.

* Sun Dec 20 2009 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.1.1-1
- Added README.fedora, instead of using default README.
- Remove Scripts folder.
- Created patch to remove verification modules that use wrapper scripts.
- Initial packaging for Fedora automatically generated by cabal2spec for 1.1.1

* Mon Dec 14 2009 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.1.0-1
- Upstream fixed LAVADIR path as per recommendation.
- Upstream changed import Lava2000 to Lava.
- Initial packaging for Fedora automatically generated by cabal2spec for 1.1.0

* Thu Dec 10 2009 Shakthi Kannan <shakthimaan [AT] gmail dot com> - 1.0.2-1
- Set LAVADIR path with sed.
- Initial packaging for Fedora automatically generated by cabal2spec for 1.0.2
